Bug 1551401 - regression bug - scrambled video after suspend/wake with nvidia GT218M NVS 3100M pciid=10de:0a6c for kernel versions >= kernel-4.15.3-300.fc27.x86_64
Summary: regression bug - scrambled video after suspend/wake with nvidia GT218M NVS 31...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-05 04:36 UTC by Gabriel M. Elder
Modified: 2018-11-30 22:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:27:13 UTC
Type: Bug


Attachments (Terms of Use)
photograph showing example scrambled video output after suspend and resume / wakeup (222.82 KB, image/jpeg)
2018-03-05 04:36 UTC, Gabriel M. Elder
no flags Details

Description Gabriel M. Elder 2018-03-05 04:36:52 UTC
Created attachment 1404105 [details]
photograph showing example scrambled video output after suspend and resume / wakeup

Description of problem:
After recent kernel updates, when I suspend and resume my running GNOME desktop session (either wayland or xorg - doesn't matter), the display output becomes scrambled, displaying black & white blocks and noise. It's hard to describe with words. The system does not allow me to capture a screenshot, so I took a photo, and will crop and upload it. However, the mouse pointer is still drawn correctly and is visible. It can be controlled and moved around the screen over this scrambled backdrop. Clicking the mouse modifies the displayed white noise in unpredictable ways. At this point, I can switch to a virtual terminal, which displays correctly. I can then log in as root, and shut it down. If I recall correctly, when I restarted gdm via systemctl, doing so did not correct the problem. The display was still scrambled, and the machine had to be shut down.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.15-3.fc27.x86_64 and/or kernel >= kernel-4.15.3-300.fc27.x86_64

How reproducible:
Consistently reproducible by booting one of the more recent kernels, i.e. >= kernel-4.15.3-300.fc27.x86_64. It is also consistently avoidable by booting a slightly older kernel, i.e. <= kernel-4.14.16-300.fc27.x86_64 via the boot menu.

Steps to Reproduce:
1. On a machine with the specified video hardware, boot fedora with a kernel >= kernel-4.15.3-300.fc27.x86_64, and log in to a gnome desktop session (either wayland or xorg - doesn't matter)
2. Suspend the machine
3. Wake it up, and experience sorrow and confusion

Actual results:
Abnormal white noise video output displayed, with the exception of the mouse pointer.

Expected results:
The video output and desktop session should behave and appear as normal.

Additional info:
I'm uncertain if this should be categorized under the nouveau or kernel component. The bug only manifests (thus far, that I'm aware of) on a laptop which has a nvidia GT218M NVS 3100M pciid 10de:0a6c vga controller. The problem started happening after recent kernel updates on that same machine beginning with kernel-4.15.3-300.fc27.x86_64, but the bug never previously occurred when running kernel-4.14.16-300.fc27.x86_64 or earlier on that laptop.

Comment 1 yhnmzw 2018-03-13 06:23:52 UTC
It looks like:

The nouveau people know about this bug; and
https://bugs.freedesktop.org/show_bug.cgi?id=105174

There's a patch under discussion.
https://github.com/skeggsb/nouveau/pull/1
https://lists.freedesktop.org/archives/nouveau/2018-March/029959.html

Can we get things going from the Fedora side of things?

Comment 2 Gabriel M. Elder 2018-03-13 15:07:11 UTC
Well, that's encouraging. For clarity of collaboration, I've added a "see also" reference for this bug report to the freedesktop.org bug listed above.

I thought this might be a big problem, and the number of CC sign-ups since opening this bug report kind of reinforces that notion.

A big thanks to all the devs looking into and working on this. Any idea of an e.t.a. for patches/fixes being merged into a new, latest & greatest fedora kernel update?

Comment 3 Dominik 'Rathann' Mierzejewski 2018-08-18 01:15:37 UTC
Have you tried the latest 4.17.x kernels? It should be fixed there.

Comment 4 Gabriel M. Elder 2018-08-28 03:41:24 UTC
If I recall correctly, I have not yet seen this problem manifest while running any of the 4.17.x kernels on the machine in question. Just updated the laptop to the latest kernel, rebooted, and tested sleep/wake functionality a couple of times; the display output seemed normal, i.e. as expected.

Comment 5 Ben Cotton 2018-11-27 14:44:40 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2018-11-30 22:27:13 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.